#ifndef INCLUDED_snow_types_InputEventType
#define INCLUDED_snow_types_InputEventType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,InputEventType)
namespace snow{
namespace types{


class InputEventType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef InputEventType_obj OBJ_;

	public:
		InputEventType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("snow.types.InputEventType"); }
		::String __ToString() const { return HX_CSTRING("InputEventType.") + tag; }

		static ::snow::types::InputEventType controller;
		static inline ::snow::types::InputEventType controller_dyn() { return controller; }
		static ::snow::types::InputEventType joystick;
		static inline ::snow::types::InputEventType joystick_dyn() { return joystick; }
		static ::snow::types::InputEventType key;
		static inline ::snow::types::InputEventType key_dyn() { return key; }
		static ::snow::types::InputEventType mouse;
		static inline ::snow::types::InputEventType mouse_dyn() { return mouse; }
		static ::snow::types::InputEventType touch;
		static inline ::snow::types::InputEventType touch_dyn() { return touch; }
		static ::snow::types::InputEventType unknown;
		static inline ::snow::types::InputEventType unknown_dyn() { return unknown; }
};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_InputEventType */ 
